Auto update of 2.0.0p16 agent on win 7 / 2008

After updating the agent on win7/2008 systems to release 2.0.0p16 the agent update script does no longer work. After reinstalling the agent from scratch and trying to register the “updater register” command complains about a missing python environment and that we should add a rule to install legacy python environment.
C:\Program Files (x86)\checkmk\service>check_mk_agent.exe updater register
You must install Python Module to use the updater with parameters ‘register’.
To install Python Module you should use Bakery.
I have configured the “Install python runtime environment” rule to always install the legacy version. But after installing the new agent manually the error is still the same.
Does anyone else had this and maybe has a solution?
Regards
Udo

may help?
Ralf

yes need some guidance

Hallo,
did you check the link?
Ralf

Didn’t find these article before. Will work for customer on Thursday and check it then. Thanks